import { r as registerInstance, h } from './index-D0dWnGvB.js';

const LineSkeleton = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { key: '21d93b1be73dc509e4df8100eb88601658029dbe' }, h("dga-line-skeleton", { key: '8ddeb298c55ef0857769c628d371ebdd710b77d5' }), h("dga-circle-skeleton", { key: '1d84fa0a8c4928085034f008b63665bca160efe3' }), h("dga-rectangle-skeleton", { key: 'a9fa1dbc7d2a61811a87fdd16c50a36f38513cc5' }), h("dga-square-skeleton", { key: '0b4cbded0b0f2258313ce1277d1b283f2f836ae0' }), h("dga-skeleton-component", { key: 'b2e95bf60923b717b9841f4026923bf764c8297d' })));
    }
};

export { LineSkeleton as dga_skeleton_usage };
